Skip to main content
`Ctrl`+`K`

# MatDenseGetLDA

gets the leading dimension of the array returned from `MatDenseGetArray()`

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatDenseGetLDA(Mat A, PetscInt *lda)

Not Collective

## Input Parameter

- A - a `MATDENSE` or `MATDENSECUDA` matrix

## Output Parameter

- lda - the leading dimension

## See Also

Matrices, `Mat`, `MATDENSE`, `MATDENSECUDA`, `MatDenseGetArray()`, `MatDenseRestoreArray()`, `MatDenseGetArrayRead()`, `MatDenseRestoreArrayRead()`, `MatDenseSetLDA()`

## Level

intermediate

## Location

src/mat/impls/dense/seq/dense.c

## Implementations

MatDenseGetLDA_MPIDense() in src/mat/impls/dense/mpi/mpidense.c
MatDenseGetLDA_SeqDense() in src/mat/impls/dense/seq/dense.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages